petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchSetOptionsPrefix

Sets the prefix used for searching for all TaoLineSearch options in the database.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetOptionsPrefix(TaoLineSearch ls, const char p[])

Logically Collective on TaoLineSearch

### Input Parameters

| ls | - the TaoLineSearch context
| prefix | - the prefix string to prepend to all TAO option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different line searches, one could call

          TaoLineSearchSetOptionsPrefix(ls1,"sys1_")
          TaoLineSearchSetOptionsPrefix(ls2,"sys2_")

This would enable use of different options for each system, such as

          -sys1_tao_ls_type mt
          -sys2_tao_ls_type armijo

### See Also

TaoLineSearchAppendOptionsPrefix(), TaoLineSearchGetOptionsPrefix()

### Level

advanced

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages